summaryrefslogtreecommitdiffstats
path: root/openwrt/package/php5/files/php.init
diff options
context:
space:
mode:
authornico <nico@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-08-14 16:27:48 +0000
committernico <nico@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-08-14 16:27:48 +0000
commitce351aa49b62d498403a55c90c38d6d24d900846 (patch)
treec74524546a450b64ffd88cc7313f48e9961afbb1 /openwrt/package/php5/files/php.init
parent5c53387d3a5f0422ae2c93477dad755e1b83bb92 (diff)
add php5 package
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@1667 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'openwrt/package/php5/files/php.init')
-rw-r--r--openwrt/package/php5/files/php.init19
1 files changed, 19 insertions, 0 deletions
diff --git a/openwrt/package/php5/files/php.init b/openwrt/package/php5/files/php.init
new file mode 100644
index 000000000..b29387bd7
--- /dev/null
+++ b/openwrt/package/php5/files/php.init
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+export PHP_FCGI_CHILDREN=''
+PORT=1026
+BIN=/usr/sbin/php
+
+case $1 in
+ start)
+ $BIN -b $PORT &
+ ;;
+ stop)
+ kill `pidof php`
+ ;;
+ *)
+ echo "usage: $0 (start|stop)"
+ exit 1
+esac
+
+exit $?